org.apache.maven.plugin.resources

## Class Resource

- java.lang.Object
- - org.apache.maven.model.PatternSet
  - - org.apache.maven.model.FileSet
    - - org.apache.maven.model.Resource
      - - org.apache.maven.plugin.resources.Resource

All Implemented Interfaces:
  Serializable

    public class Resource
    extends org.apache.maven.model.Resource

Since:
  2.3
Version:
  $Id: Resource.java 695189 2008-09-14 11:09:20Z bentmann $
Author:
  olamy
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Resource()`

### Method Summary

### Methods inherited from class org.apache.maven.model.Resource

`getMergeId, getTargetPath, initMergeId, isFiltering, setFiltering, setMergeId, setTargetPath, toString`

### Methods inherited from class org.apache.maven.model.FileSet

`getDirectory, setDirectory`

### Methods inherited from class org.apache.maven.model.PatternSet

`addExclude, addInclude, getExcludes, getIncludes, removeExclude, removeInclude, setExcludes, setIncludes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Resource

    public Resource()